Skip to main content
GET
List an automation's runs

Authorizations

Authorization
string
header
required

A Parley API key.

Path Parameters

id
string
required

The automation ID.

Minimum string length: 1

Query Parameters

status
enum<string>

Only runs with this status.

Available options:
pending,
running,
succeeded,
failed,
canceled,
timed_out
sort
enum<string>
default:-createdAt

Sort order: a field name, prefixed with - for descending. Defaults to -createdAt.

Available options:
createdAt,
-createdAt
cursor
string

Opaque cursor from nextCursor. Pass the same filters and sort. Omit for the first page.

Minimum string length: 1
limit
integer
default:50

Maximum number of items to return.

Required range: 1 <= x <= 250

Response

OK

data
object[]
required
nextCursor
string | null
required

Cursor for the next page, or null on the last page.